<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IdeaModule (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IdeaModule (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaModule.html" target="_top">Frames</a></li>
<li><a href="IdeaModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.idea.model</div>
<h2 title="Class IdeaModule" class="title">Class IdeaModule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.idea.model.IdeaModule</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">IdeaModule</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Enables fine-tuning module details (*.iml file) of the IDEA plugin.
 <p>
 Example of use with a blend of most possible properties.
 Typically you don't have to configure this model directly because Gradle configures it for you.

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'idea'

 //for the sake of this example, let's introduce a 'performanceTestCompile' configuration
 configurations {
   performanceTestCompile
   performanceTestCompile.extendsFrom(testCompile)
 }

 dependencies {
   //performanceTestCompile "some.interesting:dependency:1.0"
 }

 idea {

   //if you want parts of paths in resulting files (*.iml, etc.) to be replaced by variables (Files)
   pathVariables GRADLE_HOME: file('~/cool-software/gradle')

   module {
     //if for some reason you want to add an extra sourceDirs
     sourceDirs += file('some-extra-source-folder')

     //and some extra test source dirs
     testSourceDirs += file('some-extra-test-dir')

     //and hint to mark some of existing source dirs as generated sources
     generatedSourceDirs += file('some-extra-source-folder')

     //and some extra dirs that should be excluded by IDEA
     excludeDirs += file('some-extra-exclude-dir')

     //if you don't like the name Gradle has chosen
     name = 'some-better-name'

     //if you prefer different output folders
     inheritOutputDirs = false
     outputDir = file('muchBetterOutputDir')
     testOutputDir = file('muchBetterTestOutputDir')

     //if you prefer different SDK than the one inherited from IDEA project
     jdkName = '1.6'

     //put our custom test dependencies onto IDEA's TEST scope
     scopes.TEST.plus += [ configurations.performanceTestCompile ]

     //if 'content root' (as IDEA calls it) of the module is different
     contentRoot = file('my-module-content-root')

     //if you love browsing Javadoc
     downloadJavadoc = true

     //and hate reading sources :)
     downloadSources = false
   }
 }
 </pre>

 For tackling edge cases, users can perform advanced configuration on the resulting XML file.
 It is also possible to affect the way the IDEA plugin merges the existing configuration
 via beforeMerged and whenMerged closures.
 <p>
 beforeMerged and whenMerged closures receive a <a href="../../../../../../org/gradle/plugins/ide/idea/model/Module.html" title="class in org.gradle.plugins.ide.idea.model"><code>Module</code></a> parameter
 <p>
 Examples of advanced configuration:

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'idea'

 idea {
   module {
     iml {
       //if you like to keep *.iml in a secret folder
       generateTo = file('secret-modules-folder')

       //if you want to mess with the resulting XML in whatever way you fancy
       withXml {
         def node = it.asNode()
         node.appendNode('iLoveGradle', 'true')
         node.appendNode('butAlso', 'I find increasing pleasure tinkering with output *.iml contents. Yeah!!!')
       }

       //closure executed after *.iml content is loaded from existing file
       //but before gradle build information is merged
       beforeMerged { module -&gt;
         //if you want skip merging exclude dirs
         module.excludeFolders.clear()
       }

       //closure executed after *.iml content is loaded from existing file
       //and after gradle build information is merged
       whenMerged { module -&gt;
         //you can tinker with <a href="../../../../../../org/gradle/plugins/ide/idea/model/Module.html" title="class in org.gradle.plugins.ide.idea.model"><code>Module</code></a>
       }
     }
   }
 }

 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#IdeaModule(org.gradle.api.Project,%20org.gradle.plugins.ide.idea.model.IdeaModuleIml)">IdeaModule</a></strong>(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
          <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a>&nbsp;iml)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getContentRoot()">getContentRoot</a></strong>()</code>
<div class="block">The content root directory of the module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getExcludeDirs()">getExcludeDirs</a></strong>()</code>
<div class="block">Directories to be excluded.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getGeneratedSourceDirs()">getGeneratedSourceDirs</a></strong>()</code>
<div class="block">The directories containing the generated sources (both production and test sources).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getIml()">getIml</a></strong>()</code>
<div class="block">See <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#iml(org.gradle.api.Action)"><code>iml(Action)</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getInheritOutputDirs()">getInheritOutputDirs</a></strong>()</code>
<div class="block">If true, output directories for this module will be located below the output directory for the project;
 otherwise, they will be set to the directories specified by <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getOutputDir()"><code>getOutputDir()</code></a> and <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getTestOutputDir()"><code>getTestOutputDir()</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getJdkName()">getJdkName</a></strong>()</code>
<div class="block">The JDK to use for this module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getLanguageLevel()">getLanguageLevel</a></strong>()</code>
<div class="block">The module specific language Level to use for this module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getName()">getName</a></strong>()</code>
<div class="block">Configures module name, that is the name of the *.iml file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getOutputDir()">getOutputDir</a></strong>()</code>
<div class="block">The output directory for production classes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getOutputFile()">getOutputFile</a></strong>()</code>
<div class="block">Configures output *.iml file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model">PathFactory</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getPathFactory()">getPathFactory</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getPathVariables()">getPathVariables</a></strong>()</code>
<div class="block">The variables to be used for replacing absolute paths in the iml entries.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getProject()">getProject</a></strong>()</code>
<div class="block">An owner of this IDEA module.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/language/scala/ScalaPlatform.html" title="interface in org.gradle.language.scala">ScalaPlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getScalaPlatform()">getScalaPlatform</a></strong>()</code>
<div class="block">The Scala version used by this module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&gt;&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getScopes()">getScopes</a></strong>()</code>
<div class="block">The keys of this map are the IDEA scopes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getSingleEntryLibraries()">getSingleEntryLibraries</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getSourceDirs()">getSourceDirs</a></strong>()</code>
<div class="block">The directories containing the production sources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getTargetBytecodeVersion()">getTargetBytecodeVersion</a></strong>()</code>
<div class="block">The module specific bytecode version to use for this module.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getTestOutputDir()">getTestOutputDir</a></strong>()</code>
<div class="block">The output directory for test classes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getTestSourceDirs()">getTestSourceDirs</a></strong>()</code>
<div class="block">The directories containing the test sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#iml(org.gradle.api.Action)">iml</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a>&gt;&nbsp;action)</code>
<div class="block">Enables advanced configuration like tinkering with the output XML or affecting the way existing *.iml content is merged with gradle build information.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#iml(groovy.lang.Closure)">iml</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Enables advanced configuration like tinkering with the output XML or affecting the way existing *.iml content is merged with gradle build information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#isDownloadJavadoc()">isDownloadJavadoc</a></strong>()</code>
<div class="block">Whether to download and add javadoc associated with the dependency jars.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#isDownloadSources()">isDownloadSources</a></strong>()</code>
<div class="block">Whether to download and add sources associated with the dependency jars.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#isOffline()">isOffline</a></strong>()</code>
<div class="block">If true then external artifacts (e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#mergeXmlModule(org.gradle.plugins.ide.idea.model.Module)">mergeXmlModule</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Module.html" title="class in org.gradle.plugins.ide.idea.model">Module</a>&nbsp;xmlModule)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Dependency.html" title="interface in org.gradle.plugins.ide.idea.model">Dependency</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#resolveDependencies()">resolveDependencies</a></strong>()</code>
<div class="block">Resolves and returns the module's dependencies.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setContentRoot(java.io.File)">setContentRoot</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;contentRoot)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setDownloadJavadoc(boolean)">setDownloadJavadoc</a></strong>(boolean&nbsp;downloadJavadoc)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setDownloadSources(boolean)">setDownloadSources</a></strong>(boolean&nbsp;downloadSources)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setExcludeDirs(java.util.Set)">setExcludeDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;excludeDirs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setGeneratedSourceDirs(java.util.Set)">setGeneratedSourceDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;generatedSourceDirs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setInheritOutputDirs(java.lang.Boolean)">setInheritOutputDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;inheritOutputDirs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setJdkName(java.lang.String)">setJdkName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdkName)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setLanguageLevel(org.gradle.plugins.ide.idea.model.IdeaLanguageLevel)">setLanguageLevel</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a>&nbsp;languageLevel)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setName(java.lang.String)">setName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setOffline(boolean)">setOffline</a></strong>(boolean&nbsp;offline)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setOutputDir(java.io.File)">setOutputDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setOutputFile(java.io.File)">setOutputFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;newOutputFile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setPathFactory(org.gradle.plugins.ide.idea.model.PathFactory)">setPathFactory</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model">PathFactory</a>&nbsp;pathFactory)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setPathVariables(java.util.Map)">setPathVariables</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setScalaPlatform(org.gradle.language.scala.ScalaPlatform)">setScalaPlatform</a></strong>(<a href="../../../../../../org/gradle/language/scala/ScalaPlatform.html" title="interface in org.gradle.language.scala">ScalaPlatform</a>&nbsp;scalaPlatform)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setScopes(java.util.Map)">setScopes</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&gt;&gt;&gt;&nbsp;scopes)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setSingleEntryLibraries(java.util.Map)">setSingleEntryLibraries</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&gt;&nbsp;singleEntryLibraries)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setSourceDirs(java.util.Set)">setSourceDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;sourceDirs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setTargetBytecodeVersion(org.gradle.api.JavaVersion)">setTargetBytecodeVersion</a></strong>(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;targetBytecodeVersion)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setTestOutputDir(java.io.File)">setTestOutputDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;testOutputDir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#setTestSourceDirs(java.util.Set)">setTestSourceDirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;testSourceDirs)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IdeaModule(org.gradle.api.Project, org.gradle.plugins.ide.idea.model.IdeaModuleIml)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IdeaModule</h4>
<pre>public&nbsp;IdeaModule(<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;project,
          <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a>&nbsp;iml)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Configures module name, that is the name of the *.iml file.
 <p>
 It's <b>optional</b> because the task should configure it correctly for you.
 By default it will try to use the <b>project.name</b> or prefix it with a part of a <b>project.path</b> to make
 sure the module name is unique in the scope of a multi-module build.
 The 'uniqueness' of a module name is required for correct import into IDEA and the task will make sure the name
 is unique.
 <p>
 <b>since</b> 1.0-milestone-2
 <p>
 If your project has problems with unique names it is recommended to always run <tt>gradle idea</tt> from the
 root, i.e. for all subprojects.
 If you run the generation of the IDEA module only for a single subproject then you may have different results
 because the unique names are calculated based on IDEA modules that are involved in the specific build run.
 <p>
 If you update the module names then make sure you run <tt>gradle idea</tt> from the root, e.g. for all
 subprojects, including generation of IDEA project.
 The reason is that there may be subprojects that depend on the subproject with amended module name.
 So you want them to be generated as well because the module dependencies need to refer to the amended project
 name.
 Basically, for non-trivial projects it is recommended to always run <tt>gradle idea</tt> from the root.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
</li>
</ul>
<a name="getSourceDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceDirs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getSourceDirs()</pre>
<div class="block">The directories containing the production sources.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setSourceDirs(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceDirs</h4>
<pre>public&nbsp;void&nbsp;setSourceDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;sourceDirs)</pre>
</li>
</ul>
<a name="getGeneratedSourceDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratedSourceDirs</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getGeneratedSourceDirs()</pre>
<div class="block">The directories containing the generated sources (both production and test sources).
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setGeneratedSourceDirs(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGeneratedSourceDirs</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setGeneratedSourceDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;generatedSourceDirs)</pre>
</li>
</ul>
<a name="getScopes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScopes</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&gt;&gt;&gt;&nbsp;getScopes()</pre>
<div class="block">The keys of this map are the IDEA scopes. Each key points to another map that has two keys, plus and minus.
 The values of those keys are collections of <a href="../../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts"><code>Configuration</code></a> objects. The files of the
 plus configurations are added minus the files from the minus configurations. See example below...
 <p>
 Example how to use scopes property to enable 'performanceTestCompile' dependencies in the output *.iml file:
 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'idea'

 configurations {
   performanceTestCompile
   performanceTestCompile.extendsFrom(testCompile)
 }

 dependencies {
   //performanceTestCompile "some.interesting:dependency:1.0"
 }

 idea {
   module {
     scopes.TEST.plus += [ configurations.performanceTestCompile ]
   }
 }
 </pre></div>
</li>
</ul>
<a name="setScopes(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScopes</h4>
<pre>public&nbsp;void&nbsp;setScopes(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/gradle/api/artifacts/Configuration.html" title="interface in org.gradle.api.artifacts">Configuration</a>&gt;&gt;&gt;&nbsp;scopes)</pre>
</li>
</ul>
<a name="isDownloadSources()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDownloadSources</h4>
<pre>public&nbsp;boolean&nbsp;isDownloadSources()</pre>
<div class="block">Whether to download and add sources associated with the dependency jars. <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setDownloadSources(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDownloadSources</h4>
<pre>public&nbsp;void&nbsp;setDownloadSources(boolean&nbsp;downloadSources)</pre>
</li>
</ul>
<a name="isDownloadJavadoc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDownloadJavadoc</h4>
<pre>public&nbsp;boolean&nbsp;isDownloadJavadoc()</pre>
<div class="block">Whether to download and add javadoc associated with the dependency jars. <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setDownloadJavadoc(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDownloadJavadoc</h4>
<pre>public&nbsp;void&nbsp;setDownloadJavadoc(boolean&nbsp;downloadJavadoc)</pre>
</li>
</ul>
<a name="getContentRoot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContentRoot</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getContentRoot()</pre>
<div class="block">The content root directory of the module. <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setContentRoot(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setContentRoot</h4>
<pre>public&nbsp;void&nbsp;setContentRoot(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;contentRoot)</pre>
</li>
</ul>
<a name="getTestSourceDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestSourceDirs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getTestSourceDirs()</pre>
<div class="block">The directories containing the test sources. <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setTestSourceDirs(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestSourceDirs</h4>
<pre>public&nbsp;void&nbsp;setTestSourceDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;testSourceDirs)</pre>
</li>
</ul>
<a name="getExcludeDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExcludeDirs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getExcludeDirs()</pre>
<div class="block">Directories to be excluded. <p> For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setExcludeDirs(java.util.Set)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExcludeDirs</h4>
<pre>public&nbsp;void&nbsp;setExcludeDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;excludeDirs)</pre>
</li>
</ul>
<a name="getInheritOutputDirs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInheritOutputDirs</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;getInheritOutputDirs()</pre>
<div class="block">If true, output directories for this module will be located below the output directory for the project;
 otherwise, they will be set to the directories specified by <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getOutputDir()"><code>getOutputDir()</code></a> and <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#getTestOutputDir()"><code>getTestOutputDir()</code></a>.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setInheritOutputDirs(java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInheritOutputDirs</h4>
<pre>public&nbsp;void&nbsp;setInheritOutputDirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;inheritOutputDirs)</pre>
</li>
</ul>
<a name="getOutputDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputDir()</pre>
<div class="block">The output directory for production classes.
 If <code>null</code>, no entry will be created.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setOutputDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputDir</h4>
<pre>public&nbsp;void&nbsp;setOutputDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputDir)</pre>
</li>
</ul>
<a name="getTestOutputDir()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTestOutputDir</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getTestOutputDir()</pre>
<div class="block">The output directory for test classes.
 If <code>null</code>, no entry will be created.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setTestOutputDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTestOutputDir</h4>
<pre>public&nbsp;void&nbsp;setTestOutputDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;testOutputDir)</pre>
</li>
</ul>
<a name="getPathVariables()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPathVariables</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getPathVariables()</pre>
<div class="block">The variables to be used for replacing absolute paths in the iml entries.
 For example, you might add a <code>GRADLE_USER_HOME</code> variable to point to the Gradle user home dir.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setPathVariables(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPathVariables</h4>
<pre>public&nbsp;void&nbsp;setPathVariables(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;pathVariables)</pre>
</li>
</ul>
<a name="getJdkName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJdkName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJdkName()</pre>
<div class="block">The JDK to use for this module.
 If <code>null</code>, the value of the existing or default ipr XML (inherited) is used.
 If it is set to <code>inherited</code>, the project SDK is used.
 Otherwise the SDK for the corresponding value of java version is used for this module.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a></div>
</li>
</ul>
<a name="setJdkName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJdkName</h4>
<pre>public&nbsp;void&nbsp;setJdkName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;jdkName)</pre>
</li>
</ul>
<a name="getLanguageLevel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLanguageLevel</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a>&nbsp;getLanguageLevel()</pre>
<div class="block">The module specific language Level to use for this module.
 When <code>null</code>, the module will inherit the language level from the idea project.
 <p>
 The Idea module language level is based on the <code>sourceCompatibility</code> settings for the associated Gradle project.</div>
</li>
</ul>
<a name="setLanguageLevel(org.gradle.plugins.ide.idea.model.IdeaLanguageLevel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLanguageLevel</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setLanguageLevel(<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaLanguageLevel.html" title="class in org.gradle.plugins.ide.idea.model">IdeaLanguageLevel</a>&nbsp;languageLevel)</pre>
</li>
</ul>
<a name="getTargetBytecodeVersion()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetBytecodeVersion</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;getTargetBytecodeVersion()</pre>
<div class="block">The module specific bytecode version to use for this module.
 When <code>null</code>, the module will inherit the bytecode version from the idea project.
 <p>
 The Idea module bytecode version is based on the <code>targetCompatibility</code> settings for the associated Gradle project.</div>
</li>
</ul>
<a name="setTargetBytecodeVersion(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetBytecodeVersion</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setTargetBytecodeVersion(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;targetBytecodeVersion)</pre>
</li>
</ul>
<a name="getScalaPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScalaPlatform</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../../../../org/gradle/language/scala/ScalaPlatform.html" title="interface in org.gradle.language.scala">ScalaPlatform</a>&nbsp;getScalaPlatform()</pre>
<div class="block">The Scala version used by this module.</div>
</li>
</ul>
<a name="setScalaPlatform(org.gradle.language.scala.ScalaPlatform)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScalaPlatform</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setScalaPlatform(<a href="../../../../../../org/gradle/language/scala/ScalaPlatform.html" title="interface in org.gradle.language.scala">ScalaPlatform</a>&nbsp;scalaPlatform)</pre>
</li>
</ul>
<a name="getIml()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIml</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a>&nbsp;getIml()</pre>
<div class="block">See <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html#iml(org.gradle.api.Action)"><code>iml(Action)</code></a></div>
</li>
</ul>
<a name="getProject()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProject</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;getProject()</pre>
<div class="block">An owner of this IDEA module.
 <p>
 If IdeaModule requires some information from gradle this field should not be used for this purpose.
 IdeaModule instances should be configured with all necessary information by the plugin or user.</div>
</li>
</ul>
<a name="getPathFactory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPathFactory</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model">PathFactory</a>&nbsp;getPathFactory()</pre>
</li>
</ul>
<a name="setPathFactory(org.gradle.plugins.ide.idea.model.PathFactory)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPathFactory</h4>
<pre>public&nbsp;void&nbsp;setPathFactory(<a href="../../../../../../org/gradle/plugins/ide/idea/model/PathFactory.html" title="class in org.gradle.plugins.ide.idea.model">PathFactory</a>&nbsp;pathFactory)</pre>
</li>
</ul>
<a name="isOffline()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOffline</h4>
<pre>public&nbsp;boolean&nbsp;isOffline()</pre>
<div class="block">If true then external artifacts (e.g. those found in repositories) will not be included in the resulting classpath (only project and local file dependencies will be included).</div>
</li>
</ul>
<a name="setOffline(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOffline</h4>
<pre>public&nbsp;void&nbsp;setOffline(boolean&nbsp;offline)</pre>
</li>
</ul>
<a name="getSingleEntryLibraries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSingleEntryLibraries</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&gt;&nbsp;getSingleEntryLibraries()</pre>
</li>
</ul>
<a name="setSingleEntryLibraries(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSingleEntryLibraries</h4>
<pre>public&nbsp;void&nbsp;setSingleEntryLibraries(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&gt;&nbsp;singleEntryLibraries)</pre>
</li>
</ul>
<a name="iml(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iml</h4>
<pre>public&nbsp;void&nbsp;iml(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Enables advanced configuration like tinkering with the output XML or affecting the way existing *.iml content is merged with gradle build information.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
</li>
</ul>
<a name="iml(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iml</h4>
<pre>public&nbsp;void&nbsp;iml(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model">IdeaModuleIml</a>&gt;&nbsp;action)</pre>
<div class="block">Enables advanced configuration like tinkering with the output XML or affecting the way existing *.iml content is merged with gradle build information.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModule.html" title="class in org.gradle.plugins.ide.idea.model"><code>IdeaModule</code></a>.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
<a name="getOutputFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputFile</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputFile()</pre>
<div class="block">Configures output *.iml file.
 It's <b>optional</b> because the task should configure it correctly for you (including making sure it is unique in the multi-module build).
 If you really need to change the output file name (or the module name) it is much easier to do it via the <b>moduleName</b> property!
 <p>
 Please refer to documentation on <b>moduleName</b> property.
 In IntelliJ IDEA the module name is the same as the name of the *.iml file.</div>
</li>
</ul>
<a name="setOutputFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOutputFile</h4>
<pre>public&nbsp;void&nbsp;setOutputFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;newOutputFile)</pre>
</li>
</ul>
<a name="resolveDependencies()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resolveDependencies</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../../../org/gradle/plugins/ide/idea/model/Dependency.html" title="interface in org.gradle.plugins.ide.idea.model">Dependency</a>&gt;&nbsp;resolveDependencies()</pre>
<div class="block">Resolves and returns the module's dependencies.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>dependencies</dd></dl>
</li>
</ul>
<a name="mergeXmlModule(org.gradle.plugins.ide.idea.model.Module)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mergeXmlModule</h4>
<pre>public&nbsp;void&nbsp;mergeXmlModule(<a href="../../../../../../org/gradle/plugins/ide/idea/model/Module.html" title="class in org.gradle.plugins.ide.idea.model">Module</a>&nbsp;xmlModule)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModel.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/idea/model/IdeaModuleIml.html" title="class in org.gradle.plugins.ide.idea.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/idea/model/IdeaModule.html" target="_top">Frames</a></li>
<li><a href="IdeaModule.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
